commit:     a074c5fb65b92f18a3d34d4995bd8f62c6c3ca42
Author:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 26 13:18:54 2024 +0000
Commit:     Nowa Ammerlaan <nowa <AT> gentoo <DOT> org>
CommitDate: Thu Dec 26 13:18:54 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a074c5fb

dev-python/pyside6-tools: add 6.8.1.1

Signed-off-by: Nowa Ammerlaan <nowa <AT> gentoo.org>

 dev-python/pyside6-tools/Manifest                  |  1 +
 .../pyside6-tools/pyside6-tools-6.8.1.1.ebuild     | 81 ++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/dev-python/pyside6-tools/Manifest 
b/dev-python/pyside6-tools/Manifest
index b92dd7da176e..c9b70110b9de 100644
--- a/dev-python/pyside6-tools/Manifest
+++ b/dev-python/pyside6-tools/Manifest
@@ -1,3 +1,4 @@
+DIST pyside-pyside-setup-6.8.1.1.gh.tar.gz 18699613 BLAKE2B 
2c16f305a746106edc770c267900b31fe480b167a615adc82496e0604cc618982bb787a0c173b069c258749364d7d2cac900d8d8b82244fc3b916744b7339537
 SHA512 
bd258be6e4c5f0b6b4bbdf8887e5f8ab16a90117deb00f9c46c4acb7f6bbcc36fb9f6b6e7c201403556e0ee269947a5f5b2611ff1b05e48f231f81b1eeac7bce
 DIST pyside-pyside-setup-6.8.1.gh.tar.gz 18700869 BLAKE2B 
5924f8ffc3e5a4f15442af9191b0531ee9f509595d41ae2759b94c2a7f8d7e08f4a70f9c7fff07f11c5252afb77084dc21ca3b22762d6c8dd66f4fca5944c9f2
 SHA512 
941844b1f6711859add828cbefe7c39497d45f0936f970f3050631294ed3bfe88d9d7b827a81d61ba3efbbf7920daef6ea6c28fa9c78f8e672d68b8bd3fbb2ad
 DIST pyside-setup-everywhere-src-6.7.2.tar.xz 14402156 BLAKE2B 
321717ba46c7ed29404ee326f852cd4032f93e23b6b32a16e4e05305ff04a00a2029ee7c1d50ad7191a836ffd9a3ae858483bac35e8254bdcaeb474e2c92df60
 SHA512 
4376aba85867b5a04dab9d8889f5e32cb503cb8010757c1e810e60d29755f15a002b582594d0737a4119c030b48ede26964e8b1392700a6c061d7d631cdfe73e
 DIST pyside-setup-everywhere-src-6.7.3.tar.xz 14591496 BLAKE2B 
dfe21f8d9af346e43720685982ee736974661059f83e7f22e59ef98d444d181a5f6235e41db4c40c83697401e45dbc4e8765e6351702d4f300d1c63e5789a4d5
 SHA512 
5e4292b9809df571e1aa3db7c1366973aecf5aaba6638c78d676413985a965aa23b694ba287bdc1d9b8dca59ac24b8229021db6f5a2b5818c929cbada7ef7491

diff --git a/dev-python/pyside6-tools/pyside6-tools-6.8.1.1.ebuild 
b/dev-python/pyside6-tools/pyside6-tools-6.8.1.1.ebuild
new file mode 100644
index 000000000000..b2175dbac7a9
--- /dev/null
+++ b/dev-python/pyside6-tools/pyside6-tools-6.8.1.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# TODO: Add PyPy once officially supported. See also:
+#     https://bugreports.qt.io/browse/PYSIDE-535
+PYTHON_COMPAT=( python3_{10..13} )
+
+LLVM_COMPAT=( {15..18} )
+
+inherit cmake llvm-r1 python-r1
+
+MY_PN=pyside-pyside-setup
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="PySide development tools (pyside6-lupdate with support for 
Python)"
+HOMEPAGE="https://wiki.qt.io/PySide6";
+SRC_URI="https://github.com/qtproject/${MY_PN}/archive/refs/tags/v${PV}.tar.gz 
-> ${MY_P}.gh.tar.gz"
+S="${WORKDIR}/${MY_P}/sources/pyside-tools"
+
+LICENSE="GPL-2"
+SLOT="6/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# Minimal supported version of Qt.
+QT_PV="$(ver_cut 1-3)*:6"
+
+RDEPEND="${PYTHON_DEPS}
+       ~dev-python/shiboken6-${PV}[${PYTHON_USEDEP},${LLVM_USEDEP}]
+       ~dev-python/pyside6-${PV}[quick,${PYTHON_USEDEP},${LLVM_USEDEP}]
+       !dev-python/pyside6-tools:0
+"
+DEPEND="${RDEPEND}
+       $(llvm_gen_dep '
+               llvm-core/clang:${LLVM_SLOT}
+               llvm-core/llvm:${LLVM_SLOT}
+       ')
+"
+
+src_prepare() {
+       cmake_src_prepare
+
+       python_copy_sources
+}
+
+src_configure() {
+       pyside-tools_configure() {
+               local mycmakeargs=(
+                       # If this is enabled cmake just makes copies of 
/lib64/qt6/bin/*
+                       -DNO_QT_TOOLS=yes
+               )
+               cmake_src_configure
+       }
+
+       python_foreach_impl pyside-tools_configure
+}
+
+src_compile() {
+       pyside-tools_compile() {
+               cmake_src_compile
+       }
+
+       python_foreach_impl pyside-tools_compile
+}
+
+src_install() {
+       pyside-tools_install() {
+               # This replicates the contents of the PySide6 pypi wheel
+               DESTDIR="${BUILD_DIR}" cmake_build install
+               cp __init__.py "${BUILD_DIR}/usr/bin" || die
+               rm -r  "${BUILD_DIR}/usr/bin/qtpy2cpp_lib/tests" || die
+               python_moduleinto PySide6/scripts
+               python_domodule "${BUILD_DIR}/usr/bin/."
+       }
+
+       python_foreach_impl pyside-tools_install
+
+       einstalldocs
+}

Reply via email to